| Qore Programming Language Reference Manual 1.0.8

Variables
String Concatenation Encoding Codes

## Variables
const | Qore::CE_ALL = CE_ALL
| code for encoding everything More...
const | Qore::CE_HTML = CE_HTML
| code for encoding HTML 5 symbols as named character references More...
const | Qore::CE_NONASCII = CE_NONASCII
| code for encoding all non-ASCII symbols as numeric character references More...
const | Qore::CE_XHTML = CE_XHTML
| code for encoding XHTML entities More...
const | Qore::CE_XML = CE_XML
| code for encoding XML entities More...

## Detailed Description

See also
  <string>::getEncoded()

Since
  Qore 0.8.12

## Variable Documentation

## ◆ CE_ALL

const Qore::CE_ALL = CE_ALL

code for encoding everything

See also
  Qore::CD_ALL

## ◆ CE_HTML

const Qore::CE_HTML = CE_HTML

code for encoding HTML 5 symbols as named character references

encodes all HTML 5 symbols as named character references

Note
  to encode all non-ascii symbols as numeric character references as well, include Qore::CE_NONASCII in the bitfield

See also
  Qore::CD_HTML

## ◆ CE_NONASCII

const Qore::CE_NONASCII = CE_NONASCII

code for encoding all non-ASCII symbols as numeric character references

using this code ensures that the resulting string has no non-ASCII characters

See also
  Qore::CD_NUM_REF

## ◆ CE_XHTML

const Qore::CE_XHTML = CE_XHTML

code for encoding XHTML entities

This code is a combination of Qore::CE_HTML and Qore::CE_XML

See also
  Qore::CD_XHTML

## ◆ CE_XML

const Qore::CE_XML = CE_XML

code for encoding XML entities

The following symbols are encoded:

- `'"'`: as `"&quot;"`
- `"&"`: as `"&amp;"`
- `"'"`: as `"&apos;"`
- `"<"`: as `"&lt;"`
- `">"`: as `"&gt;"`

Note
  `"'"` / `"&apos;"` is the only character not included in Qore::CE_HTML

See also
  Qore::CD_XML